@model Devmil.Querubim.Dominio.Pessoa

@using Devmil.Querubim.Web.Models;
@using Devmil.Querubim.Dominio;
@{
    Layout = "_LayoutPage";
    ViewBag.CustomClass = "mdl-color--light-green-500";
    ViewBag.TypeView = "Details";
}
@using (Html.BeginForm("Create", "Pessoa", new { ReturnUrl = "/Cadastos/Pessoa" }, FormMethod.Post, false, new { role = "form" }))
{
@Html.AntiForgeryToken()
<div class="mdl-grid">
    <div class="mdl-card mdl-cell mdl-cell--12-col mdl-shadow--2dp">
        <div class="mdl-card__title mdl-card--border">
            <h2 class="mdl-card__title-text">Dados da Pessoa</h2>
        </div>
        <div class="mdl-tabs mdl-js-tabs mdl-js-ripple-effect">
            <div class="mdl-tabs__tab-bar">
                <a href="#dados-pessoais" class="mdl-tabs__tab is-active">Dados Pessoais</a>
                <a href="#endereco" class="mdl-tabs__tab">Endereço</a>
                <a href="#vinculo" class="mdl-tabs__tab mdl-cell--hide-phone">Vínculos</a>
            </div>
            <div id="dados-pessoais" class="mdl-tabs__panel is-active android-content-card mdl-cell mdl-cell--12-col">
                <!-- Código 
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label mdl-cell mdl-cell--2-col">
                    <input class="mdl-textfield__input" type="text" pattern="-?[0-9]*(\.[0-9]+)?" id="codigo" disabled value="1235467">
                    <label class="mdl-textfield__label" for="codigo">Código</label>
                    <span class="mdl-textfield__error">Informe um código válido</span>
                </div>
                -->
                <!-- Nome -->
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label mdl-cell mdl-cell--7-col mdl-cell--12-col-phone">
                    @Html.TextBoxFor(m=>m.Nome, new {@class="mdl-textfield__input"})
                    @Html.LabelFor(m=>m.Nome,new {@class="mdl-textfield__label"})
                    <span class="mdl-textfield__error">Informe um nome válido</span>
                </div>

                <!-- Cpf -->
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label mdl-cell mdl-cell--3-col mdl-cell--12-col-phone">
                     @Html.TextBoxFor(m=>m.Cpf, new {@class="mdl-textfield__input"})
                    @Html.LabelFor(m=>m.Cpf,new {@class="mdl-textfield__label"})
                    <span class="mdl-textfield__error">Informe um cpf válido</span>
                </div>

                <!-- Nascimento -->
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label mdl-cell mdl-cell--2-col mdl-cell--12-col-phone">
                    @Html.TextBoxFor(m=>m.Nascimento, new {@class="mdl-textfield__input", type="date", pattern="dd/MM/yyyy"})
                    @Html.LabelFor(m=>m.Nascimento,new {@class="mdl-textfield__label"})
                    <span class="mdl-textfield__error">Informe uma data de nascimento</span>
                </div>

                <!-- Sexo -->
                <div class="mdl-selectfield mdl-js-selectfield  mdl-selectfield--floating-label mdl-cell mdl-cell--1-col mdl-cell--12-col-phone">
                    <select id="sexo" name="sexo" class="mdl-selectfield__select" value="MASCULINO">
                        <option value="MASCULINO">Masculino</option>
                        <option value="FEMININO">Feminino</option>
                    </select>
                    <label class="mdl-selectfield__label" for="sexo">Sexo</label>
                </div>

                <!-- Raça/Cor -->
                <div class="mdl-selectfield mdl-js-selectfield  mdl-selectfield--floating-label mdl-cell mdl-cell--1-col mdl-cell--12-col-phone">
                    <select id="raca" class="mdl-selectfield__select" value="PARDA">
                        <option value=""></option>
                        <option value="AMARELA">Amarela</option>
                        <option value="BRANCA">Branca</option>
                        <option value="INDIGENA">Indígena</option>
                        <option value="NEGRA">Negra</option>
                        <option value="PARDA">Parda</option>
                        <option value="NAO_DECLARADA">Não Declarada</option>
                    </select>
                    <label class="mdl-selectfield__label" for="raca">Raça/Cor</label>
                </div>

                <!-- E-mail -->
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label mdl-cell mdl-cell--6-col mdl-cell--12-col-phone">
                     @Html.TextBoxFor(m=>m.Email, new {@class="mdl-textfield__input"})
                    @Html.LabelFor(m=>m.Email,new {@class="mdl-textfield__label"})
                    <span class="mdl-textfield__error">Informe um e-mail válido</span>
                </div>
                    <!-- Telefone -->
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label mdl-cell mdl-cell--2-col mdl-cell--12-col-phone">
                     @Html.TextBoxFor(m=>m.Telefone, new {@class="mdl-textfield__input"})
                    @Html.LabelFor(m=>m.Telefone,new {@class="mdl-textfield__label"})
                    <span class="mdl-textfield__error">Informe um telefone válido</span>
                </div>
            </div>

            <div id="endereco" class="mdl-tabs__panel android-content-card mdl-cell mdl-cell--12-col">
                <h3>Endereço</h3>
            </div>

            <div id="vinculo" class="mdl-tabs__panel android-content-card mdl-cell mdl-cell--12-col">
                <h3>Vínculos</h3>
            </div>
        </div>
        <div class="mdl-card__actions mdl-card--border">
            <button type="submit" class="mdl-button mdl-button--colored mdl-js-button mdl-js-ripple-effect">Salvar</button>
        </div>
    </div>
</div>
}